#pragma once

#include <string>
#include "core/color.h"
#include "core/point.h"
#include "core/vector.h"

namespace kku
{

class Text
{
public:
    virtual ~Text() = default;
    virtual void setString(const std::string& string) = 0;
    virtual void setCharacterSize(std::size_t pixels) = 0;
    virtual void setPosition(const Point& point) = 0;
    virtual void move(const kku::Vector2<float>& delta) = 0;
    virtual void setColor(const Color& color) = 0;

    virtual void display() = 0;
};

}
